itpp::Audio_Stream_Description Class Reference
Source Coding Module » Audio

Description of audio stream. More...

`#include <itpp/srccode/audiofile.h>`

## Public Member Functions

| Audio_Stream_Description ()
| Default ctor - creates uninitialized description.
| Audio_Stream_Description (Audio_Encoding e, int sr, int nc=1)
| Construct with stream parameters: encoding e, sampling rate sr and number of audio channels nc.
Audio_Stream_Description & | set_encoding (Audio_Encoding e)
| Set encoding of audio samples.
Audio_Stream_Description & | set_sampling_rate (int sr)
| Set sampling rate (samples per second)
Audio_Stream_Description & | set_num_channels (int nc)
| Set number of audio channels.
Audio_Stream_Description & | set_description (const std::string &d)
| Set stream annotation.
Audio_Encoding | get_encoding () const
| Get encoding of audio samples.
int | get_sampling_rate () const
| Get sampling rate (samples per second)
int | get_num_channels () const
| Get number of audio channels.
const std::string & | get_description () const
| Get stream annotation.

## Detailed Description

Description of audio stream.

This class holds information about the stream of audio samples. Information includes samples encoding, number of channels and sampling rate. Stream can be annotated via set_description() method.

Definition at line 66 of file audiofile.h.

## Constructor & Destructor Documentation

## Audio_Stream_Description() [1/2]

itpp::Audio_Stream_Description::Audio_Stream_Description | ( |  | ) |

inline

Default ctor - creates uninitialized description.

Definition at line 70 of file audiofile.h.

## Audio_Stream_Description() [2/2]

itpp::Audio_Stream_Description::Audio_Stream_Description | ( | Audio_Encoding | e,
|  | int | sr,
|  | int | nc = `1`
| ) |  |

inline

Construct with stream parameters: encoding e, sampling rate sr and number of audio channels nc.

Definition at line 72 of file audiofile.h.

## Member Function Documentation

## set_encoding()

Audio_Stream_Description & itpp::Audio_Stream_Description::set_encoding | ( | Audio_Encoding | e | ) |

inline

Set encoding of audio samples.

Definition at line 75 of file audiofile.h.

## set_sampling_rate()

Audio_Stream_Description & itpp::Audio_Stream_Description::set_sampling_rate | ( | int | sr | ) |

inline

Set sampling rate (samples per second)

Definition at line 77 of file audiofile.h.

## set_num_channels()

Audio_Stream_Description & itpp::Audio_Stream_Description::set_num_channels | ( | int | nc | ) |

inline

Set number of audio channels.

Definition at line 79 of file audiofile.h.

## set_description()

Audio_Stream_Description & itpp::Audio_Stream_Description::set_description | ( | const std::string & | d | ) |

inline

Set stream annotation.

Definition at line 81 of file audiofile.h.

## get_encoding()

Audio_Encoding itpp::Audio_Stream_Description::get_encoding | ( |  | ) | const

inline

Get encoding of audio samples.

Definition at line 83 of file audiofile.h.

Referenced by itpp::is_valid().

## get_sampling_rate()

int itpp::Audio_Stream_Description::get_sampling_rate | ( |  | ) | const

inline

Get sampling rate (samples per second)

Definition at line 85 of file audiofile.h.

## get_num_channels()

int itpp::Audio_Stream_Description::get_num_channels | ( |  | ) | const

inline

Get number of audio channels.

Definition at line 87 of file audiofile.h.

Referenced by itpp::is_valid().

## get_description()

const std::string & itpp::Audio_Stream_Description::get_description | ( |  | ) | const

inline

Get stream annotation.

Definition at line 89 of file audiofile.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiofile.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8